Name:        Ted
Version:     2.23
Release:     %mkrel 1

Summary:     Ted - an easy rich text editor
URL:         http://www.nllgg.nl/Ted
License:     GPLv2+
Group:       Editors
Source:      ftp://ftp.nluug.nl/pub/editors/ted/%{name}-%{version}.tar.xz
BuildRoot:    %{_tmppath}/%{name}-%{version}-buildroot
BuildRequires: zlib-devel
BuildRequires: %{_lib}pcre0-devel
BuildRequires: %{_lib}x11-devel
BuildRequires: %{_lib}xpm-devel
BuildRequires: %{_lib}jpeg-devel
BuildRequires: %{_lib}tiff-devel
BuildRequires: %{_lib}png-devel
BuildRequires: %{_lib}gtk+2.0_0-devel
BuildRequires: %{_lib}paper-devel
Requires: pcre 

%description
Ted is a text processor running under X on Unix/Linux systems, with the ability to edit rich text documents on Unix/Linux in a WYSIWYG way. It also converts RTF to PostScript and PDF. RTF files from Ted are fully compatible with MS Word. 


%prep
%setup -q 
%{__sed} -i -e 's@^CFLAGS=@CFLAGS= -DDOCUMENT_DIR=\\"/usr/share/doc/${PF}/Ted/\\"@' Ted/makefile.in

%build
%make 

%install
rm -rf ${RPM_BUILD_ROOT}

%{__mkdir} -p %{buildroot}/%{_bindir}
install -m 0755 Ted/Ted %{buildroot}/%{_bindir}

cd tedPackage/ && tar -xvf TedDatadir.tar
%{__mkdir} -p %{buildroot}/%_liconsdir
%{__mkdir} -p %{buildroot}/%{_datadir}/%{name}
%{__cp} -R afm %{buildroot}/%{_datadir}/%{name}
%{__cp} -R config %{buildroot}/%{_datadir}/%{name}
%{__mkdir} -p %{buildroot}/%{_mandir}/man1
%{__cp} -R doc/*.1 %{buildroot}/%{_mandir}/man1
%{__cp} -R examples %{buildroot}/%{_datadir}/%{name}
%{__cp} -R fontsdocs %{buildroot}/%{_datadir}/%{name}
%{__cp} -R ps %{buildroot}/%{_datadir}/%{name}
%{__cp} -R varia %{buildroot}/%{_datadir}/%{name}
install -m 0644 %{name}.png \
%{buildroot}/%_liconsdir/%{name}.png

#menu    
mkdir -p $RPM_BUILD_ROOT%{_datadir}/applications
cat > $RPM_BUILD_ROOT%{_datadir}/applications/%{name}.desktop << EOF
[Desktop Entry]
Encoding=UTF-8
Version=1.0
Comment=A simple text editor
Name=%{name}
Type=Application
Exec=%{name} 
Icon=%_liconsdir/%{name}.png
Terminal=false
Categories=GTK;Utility;TextEditor;X-MandrivaLinux-MoreApplications-Editors;
EOF

convert %{buildroot}/%_liconsdir/%{name}.png -geometry 48x48  \
%{buildroot}/%_liconsdir/%{name}.png




%clean
rm -rf $RPM_BUILD_ROOT
rm -rf $RPM_BUILD_DIR

%post
%{update_menus}


%postun
%{clean_menus}

%files 
%defattr(-,root,root)
%doc tedPackage/TedDocument-en_US.rtf
%{_bindir}/%{name}
%{_datadir}/applications/%{name}.desktop
%{_datadir}/%{name}
%{_mandir}/man1/*.1.bz2
%{_datadir}/icons/large/%{name}.png


%changelog
* Sat Mar 26 2016 Ken <lxgator at gmail.com> 2.23-1pclos2016
- 2.23

* Wed Feb 15 2012 Neal <nealbrks0 at gmail dot com> 2.21-2pclos2012
- process

* Wed Feb 15 2012 Sproggy <desproggster at gmail.com> 2.21-2pclos2012
- fix menu

* Mon Feb 13 2012 Sproggy <desproggster at gmail.com> 2.21-1pclos2012
- import package
